#include <LPC23xx.h>

void main()
{
int flasher;
int delay;
FIO2DIR = 0x000000FF;
FIO2MASK = 0xFFFFFF00;
while(1)
    {
    FIO2CLR = 0x000000FF;

    for(flasher =1;flasher<0x00000100;flasher = flasher <<1)
    {
       FIO2SET = flasher; 
//       FIO2PIN = flasher; 
        for(delay = 0;delay<0xA0000;delay++)				  	       //simple delay loop
        {
          ;
        }
      }
}
    
//return (0);    
}
